// StaticLink (c) 2006 Campanile Data Systems - All Rights Reserved

#ifndef STATICLINK
#define STATICLINK

class StaticLink:CStatic
{
	// overridden methods
	declare OnMouseMove(int x, int y, int flags), int;
	declare WndProc(unsigned int message, unsigned int wparam, unsigned int lparam),int;
	// new methods
	declare SetStaticText(string sText);
	// class variables
	string m_sText; // text displayed in control
}

StaticLink::OnMouseMove(int x, int y, int flags), int
{
	TRACKMOUSEEVENT tme;

	tme.cbSize      = len(TRACKMOUSEEVENT);
	tme.dwFlags     = TME_HOVER | TME_LEAVE;
	tme.hwndTrack   = m_hwnd;
	tme.dwHoverTime = 25;

	_TrackMouseEvent(tme);

	return true;
}

StaticLink::SetStaticText(string sText)
{
	m_sText = sText;		// set class variable for later use
	SetText(m_sText);		// put text into control
	// set control's default cursor to null to eliminate flicker
	SetClassLongA(this->m_hwnd,GCL_HCURSOR, null); 
	return;
}
StaticLink::WndProc(unsigned int message, unsigned int wparam, unsigned int lparam),int
{
	select message
	{
		case WM_MOUSEHOVER:
			::SetCursor(LoadCursorA(null,IDC_HAND));
		case WM_LBUTTONDOWN:
			ShellExecuteA(0,"open","http://" + m_sText,0,0,1);
	}
	return CStatic!!WndProc(message,wparam,lparam);
}

#endif