// cds_WinConstants (c) 2006 Campanile Data Systems - All Rights Reserved
//
// This file includes Windows constants as well as constants used by CDS.
//
// The values have been obtained from various internet sources and are
// considered reliable, but accuracy is not warranted.

#ifndef CDS_WINCONSTANTS
#define CDS_WINCONSTANTS

// *****************************************************************************
// *                            RGB Color Constants                            *
// *****************************************************************************

const RED    = 0x0000FF;
const WHITE  = 0xFFFFFF;
const GREEN  = 0x00FF00;
const BLUE   = 0xFF0000;
const BLACK  = 0x000000;
const YELLOW = 0x00FFFF;
const ORANGE = 0x007FFF;

// *****************************************************************************
// *                           Message Box Constants                           *
// *****************************************************************************

const IDOK     = 1; // results
const IDCANCEL = 2;
const IDABORT  = 3;
const IDRETRY  = 4;
const IDIGNORE = 5;
const IDYES    = 6;
const IDNO     = 7;
// ----------------
const MB_OK                = 0x00000000;
const MB_OKCANCEL          = 0x00000001;
const MB_ABORTRETRYIGNORE  = 0x00000002;
const MB_YESNOCANCEL       = 0x00000003;
const MB_YESNO             = 0x00000004;
const MB_RETRYCANCEL       = 0x00000005;
const MB_CANCELTRYCONTINUE = 0x00000006;
const MB_ICONHAND          = 0x00000010;
const MB_ICONERROR         = 0x00000010;
const MB_ICONSTOP          = 0x00000010;
const MB_ICONQUESTION      = 0x00000020;
const MB_ICONEXCLAMATION   = 0x00000030;
const MB_ICONWARNING       = 0x00000030;
const MB_ICONASTERISK      = 0x00000040;
const MB_ICONINFORMATION   = 0x00000040;
const MB_USERICON          = 0x00000080;
const MB_DEFBUTTON1        = 0x00000000;
const MB_DEFBUTTON2        = 0x00000100;
const MB_DEFBUTTON3        = 0x00000200;
const MB_DEFBUTTON4        = 0x00000300; 
const MB_APPLMODAL         = 0x00000000;
const MB_SYSTEMMODAL       = 0x00001000;
const MB_TASKMODAL         = 0x00002000;
const MB_HELP              = 0x00004000;


const BN_CLICKED          = 0;
const BS_AUTOCHECKBOX     = 3;
const BS_AUTORADIOBUTTON  = 9;
const BS_DEFPUSHBUTTON    = 1;
const DS_MODALFRAME       = 0x80;
const EM_SETBKGNDCOLOR    = 1091;
const GCL_HCURSOR         = -12;
const GHND                = 0x42;
const IDC_ARROW           = 32512;
const IDC_HAND            = 0x7F89;
const LVM_ENSUREVISIBLE   = 0x1013;
const LVM_SETOUTLINECOLOR	= 0x10B1;
const LVM_SETTEXTCOLOR	  = 0x1024;
const LVM_SETTEXTBKCOLOR  = 0x1026;
const NM_CLICK            = -2;
const SRCCOPY             = 0xCC0020;
const SS_CENTERIMAGE      = 0x0200;
const SS_NOTIFY           = 0x0100;
const SS_RIGHT            = 2;
const SS_SUNKEN           = 0x1000;
const WM_CTLCOLORDLG      = 310;
const WM_LBUTTONDOWN      = 513;
const WM_MOUSEWHEEL       = 0x020A;
const WM_PAINT            = 0xF;
const WS_CHILD            = 0x40000000;
const WS_VISIBLE          = 0x10000000;




#endif